| Bsoft 2.0.5 Bernard's software package

Public Member Functions | List of all members
Bsuperpixel Class Reference

`#include <Bsuperpixel.h>`

## Public Member Functions
| Bsuperpixel ()
void | index (long i)
long | index ()
void | count (long i)
long | count ()
void | coordinates (vector< double > &c)
vector< double > & | coordinates ()
void | channels (long nc)
void | channels (vector< double > &v)
vector< double > & | channels ()
double | channel (long i)
void | weight (double w)
double | weight ()
void | neighbor (long i, long j)
long | neighbor (long i)
void | neighbors (vector< long > &v)
void | add_neighbor (long i)
void | clear_neighbors ()
void | clear ()
void | add (long cx, long cy, long cz, vector< double > v)
void | add (vector< long > c, vector< double > &v)
void | average ()
double | difference2 (vector< double > v)

## Detailed Description

Definition at line 15 of file Bsuperpixel.h.

## Constructor & Destructor Documentation

## ◆ Bsuperpixel()

Bsuperpixel::Bsuperpixel | ( |  | ) |
| inline

Definition at line 24 of file Bsuperpixel.h.

## Member Function Documentation

## ◆ add() [1/2]

void Bsuperpixel::add | ( | long | cx,
|  | long | cy,
|  | long | cz,
|  | vector< double > | v
| ) |  |
| inline

Definition at line 66 of file Bsuperpixel.h.

## ◆ add() [2/2]

void Bsuperpixel::add | ( | vector< long > | c,
|  | vector< double > & | v
| ) |  |
| inline

Definition at line 73 of file Bsuperpixel.h.

## ◆ add_neighbor()

void Bsuperpixel::add_neighbor | ( | long | i | ) |
| inline

Definition at line 48 of file Bsuperpixel.h.

## ◆ average()

void Bsuperpixel::average | ( |  | ) |
| inline

Definition at line 76 of file Bsuperpixel.h.

## ◆ channel()

double Bsuperpixel::channel | ( | long | i | ) |
| inline

Definition at line 40 of file Bsuperpixel.h.

## ◆ channels() [1/3]

void Bsuperpixel::channels | ( | long | nc | ) |
| inline

Definition at line 34 of file Bsuperpixel.h.

## ◆ channels() [2/3]

void Bsuperpixel::channels | ( | vector< double > & | v | ) |
| inline

Definition at line 35 of file Bsuperpixel.h.

## ◆ channels() [3/3]

vector<double>& Bsuperpixel::channels | ( |  | ) |
| inline

Definition at line 39 of file Bsuperpixel.h.

## ◆ clear()

void Bsuperpixel::clear | ( |  | ) |
| inline

Definition at line 60 of file Bsuperpixel.h.

## ◆ clear_neighbors()

void Bsuperpixel::clear_neighbors | ( |  | ) |
| inline

Definition at line 57 of file Bsuperpixel.h.

## ◆ coordinates() [1/2]

void Bsuperpixel::coordinates | ( | vector< double > & | c | ) |
| inline

Definition at line 32 of file Bsuperpixel.h.

## ◆ coordinates() [2/2]

vector<double>& Bsuperpixel::coordinates | ( |  | ) |
| inline

Definition at line 33 of file Bsuperpixel.h.

## ◆ count() [1/2]

void Bsuperpixel::count | ( | long | i | ) |
| inline

Definition at line 30 of file Bsuperpixel.h.

## ◆ count() [2/2]

long Bsuperpixel::count | ( |  | ) |
| inline

Definition at line 31 of file Bsuperpixel.h.

## ◆ difference2()

double Bsuperpixel::difference2 | ( | vector< double > | v | ) |
| inline

Definition at line 83 of file Bsuperpixel.h.

## ◆ index() [1/2]

void Bsuperpixel::index | ( | long | i | ) |
| inline

Definition at line 28 of file Bsuperpixel.h.

## ◆ index() [2/2]

long Bsuperpixel::index | ( |  | ) |
| inline

Definition at line 29 of file Bsuperpixel.h.

## ◆ neighbor() [1/2]

void Bsuperpixel::neighbor | ( | long | i,
|  | long | j
| ) |  |
| inline

Definition at line 43 of file Bsuperpixel.h.

## ◆ neighbor() [2/2]

long Bsuperpixel::neighbor | ( | long | i | ) |
| inline

Definition at line 44 of file Bsuperpixel.h.

## ◆ neighbors()

void Bsuperpixel::neighbors | ( | vector< long > & | v | ) |
| inline

Definition at line 45 of file Bsuperpixel.h.

## ◆ weight() [1/2]

void Bsuperpixel::weight | ( | double | w | ) |
| inline

Definition at line 41 of file Bsuperpixel.h.

## ◆ weight() [2/2]

double Bsuperpixel::weight | ( |  | ) |
| inline

Definition at line 42 of file Bsuperpixel.h.

The documentation for this class was generated from the following file:

- /Users/bernard/b20/bsoft/include/Bsuperpixel.h